# H460_FeatureStd23 Class Reference

`#include <h460_std23.h>`

Inheritance diagram for H460_FeatureStd23:

[legend]
Collaboration diagram for H460_FeatureStd23:
[legend]

## Public Member Functions

| H460_FeatureStd23 ()
virtual | ~H460_FeatureStd23 ()
virtual void | AttachEndPoint (H323EndPoint *_ep)
virtual PBoolean | CommonFeature ()
virtual PBoolean | OnSendGatekeeperRequest (H225_FeatureDescriptor &pdu)
virtual void | OnReceiveGatekeeperConfirm (const H225_FeatureDescriptor &pdu)
virtual PBoolean | OnSendRegistrationRequest (H225_FeatureDescriptor &pdu)
virtual void | OnReceiveRegistrationConfirm (const H225_FeatureDescriptor &pdu)
H323EndPoint * | GetEndPoint () const
void | OnNATTypeDetection (PSTUNClient::NatTypes type, const PIPSocket::Address &ExtIP)
bool | IsAvailable ()
bool | AlternateNATMethod ()
bool | UseAlternate ()

## Static Public Member Functions

static PStringArray | GetFeatureName ()
static PStringArray | GetFeatureFriendlyName ()
static int | GetPurpose ()
static PStringArray | GetIdentifier ()

## Protected Member Functions

bool | DetectALG (const PIPSocket::Address &detectAddress)
void | StartSTUNTest (const PString &server)
void | DelayedReRegistration ()

## Constructor & Destructor Documentation

H460_FeatureStd23::H460_FeatureStd23 | ( |  | ) |

virtual H460_FeatureStd23::~H460_FeatureStd23 | ( |  | ) | `[virtual]`

## Member Function Documentation

bool H460_FeatureStd23::AlternateNATMethod | ( |  | ) |

virtual void H460_FeatureStd23::AttachEndPoint | ( | H323EndPoint * | _ep | ) | `[virtual]`

Attach the endpoint. Override this to link your own Endpoint Instance.

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd23::CommonFeature | ( |  | ) | `[inline, virtual]`

void H460_FeatureStd23::DelayedReRegistration | ( |  | ) | `[protected]`

bool H460_FeatureStd23::DetectALG | ( | const PIPSocket::Address & | detectAddress | ) | `[protected]`

H323EndPoint* H460_FeatureStd23::GetEndPoint | ( |  | ) | const`[inline]`

static PStringArray H460_FeatureStd23::GetFeatureFriendlyName | ( |  | ) | `[inline, static]`

Get Feature Friendly Name This usually the user friendly description

Reimplemented from H460_Feature.

static PStringArray H460_FeatureStd23::GetFeatureName | ( |  | ) | `[inline, static]`

Get Feature Name. This is usually the Derived Class Name

Reimplemented from H460_Feature.

static PStringArray H460_FeatureStd23::GetIdentifier | ( |  | ) | `[inline, static]`

static int H460_FeatureStd23::GetPurpose | ( |  | ) | `[inline, static]`

Get the purpose of the the Feature whether for Signalling,RAS or both. This determines when the class is instantized

Reimplemented from H460_Feature.

bool H460_FeatureStd23::IsAvailable | ( |  | ) |

void H460_FeatureStd23::OnNATTypeDetection | ( | PSTUNClient::NatTypes | type,
|  | const PIPSocket::Address & | ExtIP |
| ) |  |  |

virtual void H460_FeatureStd23::OnReceiveGatekeeperConfirm | ( | const H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual void H460_FeatureStd23::OnReceiveRegistrationConfirm | ( | const H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd23::OnSendGatekeeperRequest | ( | H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd23::OnSendRegistrationRequest | ( | H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

void H460_FeatureStd23::StartSTUNTest | ( | const PString & | server | ) | `[protected]`

bool H460_FeatureStd23::UseAlternate | ( |  | ) |

The documentation for this class was generated from the following file:

- h460_std23.h